Memorystore for Memcached is being deprecated and will be shut down on January 31, 2029. After February 1, 2027, you can't create Memorystore for Memcached instances in new projects unless these instances already exist in these projects. We recommend that you migrate your workloads to Memorystore for Valkey , which offers superior performance and features.
Learn more about the deprecation | Read the migration guide
Google 会使用 AI 技术将内容翻译成您偏好的语言。AI 翻译可能包含错误。
发送反馈
Method: projects.locations.instances.rescheduleMaintenance
使用集合让一切井井有条
根据您的偏好保存内容并对其进行分类。
执行 instances.rescheduleMaintenance 操作的 apply 阶段。
HTTP 请求
POST https://memcache.googleapis.com/v1beta2/{instance=projects/*/locations/*/instances/*}:rescheduleMaintenance
网址采用 gRPC 转码 语法。
路径参数
参数
instance
string
必需。Memcache 实例资源名称,格式为:projects/{projectId}/locations/{locationId}/instances/{instanceId},其中 locationId 表示 GCP 区域。
请求正文
请求正文中包含结构如下的数据:
JSON 表示法
{
"rescheduleType" : enum (RescheduleType ) ,
"scheduleTime" : string
}
字段
rescheduleType
enum (RescheduleType )
必需。如果重新安排类型为 SPECIFIC_TIME,则还必须设置 scheduleTime。
scheduleTime
string (Timestamp format)
rescheduleType=SPECIFIC_TIME 时应将维护重新安排到的时间戳,应采用 RFC 3339 格式,例如 2012-11-15T16:19:00.094Z。
采用 RFC 3339 标准,生成的输出将始终在末尾带 Z,并使用 0、3、6 或 9 个小数位。不带“Z”的偏差时间也是可以接受的。示例:"2014-10-02T15:01:23Z"、"2014-10-02T15:01:23.045123456Z" 或 "2014-10-02T15:01:23+05:30"。
响应正文
如果成功,则响应正文包含一个 Operation 实例。
授权范围
需要以下 OAuth 范围:
https://www.googleapis.com/auth/cloud-platform
如需了解详情,请参阅 Authentication Overview 。
RescheduleType
枚举
RESCHEDULE_TYPE_UNSPECIFIED
未设置。
IMMEDIATE
如果用户希望将维护安排为立即进行。
NEXT_AVAILABLE_WINDOW
如果用户希望使用现有维护政策查找下一个可用窗口。
SPECIFIC_TIME
如果用户希望将维护重新安排到特定时间。
发送反馈
如未另行说明,那么本页面中的内容已根据知识共享署名 4.0 许可 获得了许可,并且代码示例已根据 Apache 2.0 许可 获得了许可。有关详情,请参阅 Google 开发者网站政策 。Java 是 Oracle 和/或其关联公司的注册商标。
最后更新时间 (UTC):2025-10-19。
需要向我们提供更多信息?
[[["易于理解","easyToUnderstand","thumb-up"],["解决了我的问题","solvedMyProblem","thumb-up"],["其他","otherUp","thumb-up"]],[["很难理解","hardToUnderstand","thumb-down"],["信息或示例代码不正确","incorrectInformationOrSampleCode","thumb-down"],["没有我需要的信息/示例","missingTheInformationSamplesINeed","thumb-down"],["翻译问题","translationIssue","thumb-down"],["其他","otherDown","thumb-down"]],["最后更新时间 (UTC):2025-10-19。"],[],[]]